<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BeanDeclaration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BeanDeclaration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BeanDeclaration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanFactory.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/BeanDeclaration.html" target="_top">Frames</a></li>
<li><a href="BeanDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.beanutils</div>
<h2 title="Interface BeanDeclaration" class="title">Interface BeanDeclaration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/beanutils/CombinedBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">CombinedBeanDeclaration</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>, <a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BeanDeclaration</span></pre>
<div class="block"><p>
 Definition of an interface for declaring a bean in a configuration file.
 </p>
 <p>
 Commons Configurations allows to define beans (i.e. simple Java objects) in
 configuration files, which can be created at runtime. This is especially
 useful if you program against interfaces and want to define the concrete
 implementation class is a configuration file.
 </p>
 <p>
 This interface defines methods for retrieving all information about a bean
 that should be created from a configuration file, e.g. the bean's properties
 or the factory to use for creating the instance. With different
 implementations different &quot;layouts&quot; of bean declarations can be
 supported. For instance if an XML configuration file is used, all features of
 XML (e.g. attributes, nested elements) can be used to define the bean. In a
 properties file the declaration format is more limited. The purpose of this
 interface is to abstract from the concrete declaration format.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: BeanDeclaration.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
 href="http://commons.apache.org/configuration/team-list.html">Commons
 Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanClassName--">getBeanClassName</a></span>()</code>
<div class="block">Returns the name of the bean class, from which an instance is to be
 created.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanFactoryName--">getBeanFactoryName</a></span>()</code>
<div class="block">Returns the name of the <code>BeanFactory</code> that should be used
 for creating the bean instance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanFactoryParameter--">getBeanFactoryParameter</a></span>()</code>
<div class="block">Here an arbitrary object can be returned that will be passed to the bean
 factory.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanProperties--">getBeanProperties</a></span>()</code>
<div class="block">Returns a map with properties that should be initialized on the newly
 created bean.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html" title="class in org.apache.commons.configuration2.beanutils">ConstructorArg</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getConstructorArgs--">getConstructorArgs</a></span>()</code>
<div class="block">Returns a collection with constructor arguments.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getNestedBeanDeclarations--">getNestedBeanDeclarations</a></span>()</code>
<div class="block">Returns a map with declarations for beans that should be set as
 properties of the newly created bean.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBeanFactoryName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanFactoryName</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBeanFactoryName()</pre>
<div class="block">Returns the name of the <code>BeanFactory</code> that should be used
 for creating the bean instance. This can be <b>null</b>, then a default
 factory will be used.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the bean factory</dd>
</dl>
</li>
</ul>
<a name="getBeanFactoryParameter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanFactoryParameter</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getBeanFactoryParameter()</pre>
<div class="block">Here an arbitrary object can be returned that will be passed to the bean
 factory. Its meaning is not further specified. The purpose of this
 additional parameter is to support a further configuration of the bean
 factory that can be placed directly at the bean declaration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a parameter for the bean factory</dd>
</dl>
</li>
</ul>
<a name="getBeanClassName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanClassName</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBeanClassName()</pre>
<div class="block">Returns the name of the bean class, from which an instance is to be
 created. This value must be defined unless a default class is provided
 for the bean creation operation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the bean class</dd>
</dl>
</li>
</ul>
<a name="getBeanProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanProperties</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getBeanProperties()</pre>
<div class="block">Returns a map with properties that should be initialized on the newly
 created bean. The map's keys are the names of the properties; the
 corresponding values are the properties' values. The return value can be
 <b>null</b> if no properties should be set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map with properties to be initialized</dd>
</dl>
</li>
</ul>
<a name="getNestedBeanDeclarations--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNestedBeanDeclarations</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getNestedBeanDeclarations()</pre>
<div class="block">Returns a map with declarations for beans that should be set as
 properties of the newly created bean. This allows for complex
 initialization scenarios: a bean for a bean that contains complex
 properties (e.g. other beans) can have nested declarations for defining
 these complex properties. The returned map's key are the names of the
 properties to initialize. The values are either <code>BeanDeclaration</code>
 implementations or collections thereof. They will be treated like this
 declaration (in a recursive manner), and the resulting beans are
 assigned to the corresponding properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map with nested bean declarations</dd>
</dl>
</li>
</ul>
<a name="getConstructorArgs--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConstructorArgs</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html" title="class in org.apache.commons.configuration2.beanutils">ConstructorArg</a>&gt;&nbsp;getConstructorArgs()</pre>
<div class="block">Returns a collection with constructor arguments. This data is used to
 determine the constructor of the bean class to be invoked. The values of
 the arguments are passed to the constructor. An implementation can return
 <b>null</b> or an empty collection; then the standard constructor of the
 bean class is called.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection with the arguments to be passed to the bean class's
         constructor</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BeanDeclaration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanFactory.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/BeanDeclaration.html" target="_top">Frames</a></li>
<li><a href="BeanDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
